Subject: RE: [IPTEL] CPL: address matching without subfield

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 21 Apr 2001 01:33:16 -0400

Getting back to some old email threads...

> -----Original Message-----
> From: Jonathan Lennox [mailto:[email-masked]]
> Sent: Wednesday, April 04, 2001 3:23 PM
> To: David Bertrand
> Cc: [email-masked]'
> Subject: Re: [IPTEL] CPL: address matching without subfield
> 
> 
> On Wednesday, April 4 2001, "David Bertrand" wrote to 
> "[email-masked]'" saying:
> 
> > Hi,
> > 
> > In section 5.1.1 of the last draft on CPL concerning usage of
> > address-switch with SIP, it states:
> > 
> > "If no subfield is specified for addresses in SIP messages, 
> the string
> > matched is the URI part of the address. For "sip" URLs, all 
> parameters
> > are stripped;"
> > 
> > My question is : Is the port number a parameter ?
> > and whatever the response, does an absent port match the 
> default port
> > number (like in the paragraph concerning port number matching)?
> > 
> > For example: - if the port number is a parameter:
> >     If the address given in the script is 
> "sip:[email-masked]:5060"
> >    and if the URI in the SIP message (without parameters) is
> >    "sip:[email-masked]", should they match ?
> > 
> >                     - if the port number is not a parameter:
> >     If the address given in the script is "sip:[email-masked]" and
> >     if the URI in the SIP message (without parameters)
> >     is "sip:[email-masked]:5060",  should they match ?
> 
> I think that default ports should be omitted from the URI 
> when doing URI
> matching. 

Actually, I think we should specify that the matching be done based on the
URI matching rules defined in the sip spec. This way, we can avoid defining
a new URI matching algorithm.

 However, I don't think this is what the spec says. 
>  Given that
> there's going to have to be one more revision for the 
> time-switch stuff,
> would we have to do a second IESG cycle if I changed this?

I don't think this is a big deal. IESG last call exists to fix problems.

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel